## HdyPreferencesWindow HdyPreferencesWindow — A window to present an application's preferences. |

## Functions

HdyPreferencesWindow * | hdy_preferences_window_new ()

## Types and Values

#define | HDY_TYPE_PREFERENCES_WINDOW
struct | HdyPreferencesWindowClass
| HdyPreferencesWindow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── HdyPreferencesWindow

## Implemented Interfaces

HdyPreferencesWindow implements AtkImplementorIface and GtkBuildable.

## Description

The HdyPreferencesWindow widget presents an application's preferences gathered into pages and groups. The preferences are searchable by the user.

## Functions

### hdy_preferences_window_new ()

    HdyPreferencesWindow *
    hdy_preferences_window_new (void);

Creates a new HdyPreferencesWindow.

#### Returns

a new HdyPreferencesWindow

Since: 0.0.10

## Types and Values

### HDY_TYPE_PREFERENCES_WINDOW

    #define HDY_TYPE_PREFERENCES_WINDOW (hdy_preferences_window_get_type())

### struct HdyPreferencesWindowClass

    struct HdyPreferencesWindowClass {
      GtkWindowClass parent_class;
    };

#### Members

### HdyPreferencesWindow

    typedef struct _HdyPreferencesWindow HdyPreferencesWindow;